/**
 * 仪器报废详情信息表相关
 */
import http from '../http'

export default {
  deleteByIds: ids =>
    http.delete('/v1/equip_scrap_detail/?ids=' + ids).then(res => res),
  // 获取temp
  getById: data =>
    http.get('/v1/equip_scrap/vo/' + data.repairId).then(res => res),
  //  报废原因 List
  equipScrapSearch: data =>
    http
      .post(
        '/res/v1/equip_scrap_detail/vague_input/' +
          data.name +
          '/?value=' +
          data.value
      )
      .then(res => res),
  // 报废原因  行编辑保存
  equipRepairBreakDownSave: data =>
    http.put('/res/v1/equip_scrap_detail/' + data.id, data.obj).then(res => res)
}
